Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79894 - kernel panic in ext3_count_free_inodes [ext3] 0xa (2.4.18-18.7.x)
Summary: kernel panic in ext3_count_free_inodes [ext3] 0xa (2.4.18-18.7.x)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-17 21:01 UTC by Pawel Salek
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:18 UTC


Attachments (Terms of Use)

Description Pawel Salek 2002-12-17 21:01:51 UTC
Description of problem:
I have got a kernel panic several times recently. Only twice I could register
the message. THe first one is:

Unable to handle kernel paging request at virtual address ef0441fe
 printing eip:
d081ccfa
*pde = 00000000
Oops: 0000
loop soundcore nfs lockd sunrpc 3c59x ipchains ide-cd cdrom ext3 jbd
CPU:    0
EIP:    0010:[<d081ccfa>]    Not tainted
EFLAGS: 00010206

EIP is at ext3_count_free_inodes [ext3] 0xa (2.4.18-18.7.x)
eax: ef0441ee   ebx: 00000000   ecx: 000765fd   edx: ceba7f50
esi: 00000128   edi: c1a6e000   ebp: 00025280   esp: ceba7f14
ds: 0018   es: 0018   ss: 0018
Process sendmail (pid: 858, stackpage=ceba7000)
Stack: d0824b1b c1a6e000 cfe7d400 c1a6e000 ceba7f50 ceba7f90 bfffde68 c0138269
       c1a6e000 ceba7f50 00000000 bfffde20 c01382a9 c1a6e000 ceba7f50 0000ef53
       00001000 0091a553 00239fae 001c39b1 004a0000 00000000 00000000 00000000
Call Trace: [<d0824b1b>] ext3_statfs [ext3] 0xdb (0xceba7f14))
[<c0138269>] vfs_statfs [kernel] 0x39 (0xceba7f30))
[<c01382a9>] sys_statfs [kernel] 0x39 (0xceba7f44))
[<c0128c74>] sys_munmap [kernel] 0x34 (0xceba7fa0))
[<c010894b>] system_call [kernel] 0x33 (0xceba7fc0))


Code: 8b 40 10 c3 e8 05 ab 8e ef e9 9d f2 ff ff e8 1f ab 8e ef e9

The second one (occured less than 24 hours later) is:
Unable to handle kernel NULL pointer dereference at virtual address 00000010
printing eip:
d081ccfa
*pde = 00000000
Oops: 0000
soundcore nfs lockd sunrpc 3c59x ipchains ide-cd cdrom ext3 jbd
CPU:    0
EIP:    0010:[<d081ccfa>]    Not tainted
EFLAGS: 00010212

EIP is at ext3_count_free_inodes [ext3] 0xa (2.4.18-18.7.x)
eax: 00000000   ebx: 00000000   ecx: 000765fd   edx: cca95f50
esi: 00000128   edi: c1a6e000   ebp: 00025280   esp: cca95f14
ds: 0018   es: 0018   ss: 0018
Process sendmail (pid: 870, stackpage=cca95000)
Stack: d0824b1b c1a6e000 cfe7d400 c1a6e000 cca95f50 cca95f90 bfffde68 c0138269
       c1a6e000 cca95f50 00000000 bfffde20 c01382a9 c1a6e000 cca95f50 0000ef53
       00001000 0091a553 002314c8 001baecb 004a0000 00000000 00000000 00000000
Call Trace: [<d0824b1b>] ext3_statfs [ext3] 0xdb (0xcca95f14))
[<c0138269>] vfs_statfs [kernel] 0x39 (0xcca95f30))
[<c01382a9>] sys_statfs [kernel] 0x39 (0xcca95f44))
[<c0128c74>] sys_munmap [kernel] 0x34 (0xcca95fa0))
[<c010894b>] system_call [kernel] 0x33 (0xcca95fc0))

Code: 8b 40 10 c3 e8 05 ab 8e ef e9 9d f2 ff ff e8 1f ab 8e ef e9

his is a uni-cpu box. If you need more info, just ask.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. IO load seems to increase probability of this panic.


Actual Results:  Hang

Expected Results:  Continuation.

Additional info:

Nothing I can think of.

Comment 1 Pawel Salek 2003-03-18 12:17:23 UTC
I have not seen it recently (running 2.4.18-26 on it). May be hardware related
(VIA vt8233).

Comment 2 Bugzilla owner 2004-09-30 15:40:18 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.